Tryton - Issues

 

Issue8494

Title Add amendment
Priority feature Status resolved
Superseder Invalid secondary unit for stock move when origin is deleted
View: 8598
Nosy List ced, mrichez, resteve, reviewbot, roundup-bot, tbruyere
Type feature request Components purchase, sale
Assigned To ced Keywords review
Reviews 267641002
View: 267641002

Created on 2019-07-15.17:53:45 by ced, last changed by roundup-bot.

Messages
New changeset f3cf42b756d0 by Cédric Krier in branch 'default':
Add purchase amendment documentation
https://hg.tryton.org/tryton-env/rev/f3cf42b756d0
New changeset 00e99eafbaf9 by Cédric Krier in branch 'default':
Add purchase amendment documentation
https://hg.tryton.org/readthedocs/rev/00e99eafbaf9
New changeset 85cd5cea19df by Cédric Krier in branch 'default':
Add amendment
https://hg.tryton.org/tryton-env/rev/85cd5cea19df
New changeset b77cc5aeda11 by Cédric Krier in branch 'default':
Add amendment
https://hg.tryton.org/readthedocs/rev/b77cc5aeda11
New changeset 55e47bf6790b by Cédric Krier in branch 'default':
Add amendment
https://hg.tryton.org/modules/sale_product_customer/rev/55e47bf6790b
New changeset 632e5e9794c2 by Cédric Krier in branch 'default':
Initial commit
https://hg.tryton.org/modules/sale_amendment/rev/632e5e9794c2
New changeset 8ef011a876e7 by Cédric Krier in branch 'default':
Add amendment
https://hg.tryton.org/modules/sale/rev/8ef011a876e7
New changeset b48342026b34 by Cédric Krier in branch 'default':
Initial commit
https://hg.tryton.org/modules/purchase_amendment/rev/b48342026b34
New changeset 76162e269cec by Cédric Krier in branch 'default':
Add amendment
https://hg.tryton.org/modules/purchase/rev/76162e269cec
review267641002 updated at https://codereview.tryton.org/267641002/#ps283981002
review267641002 updated at https://codereview.tryton.org/267641002/#ps264111002
msg51439 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-08-23.11:21:25
It will better to have issue8598 fixed before because amendment delete outgoing moves. But I have also uploaded an improvement to reset to draft (which delete inventory moves) before cancel/delete shipments. This prevents to have the validation of the canceled inventory moves because they are deleted.
review267641002 updated at https://codereview.tryton.org/267641002/#ps249811002
review267641002 updated at https://codereview.tryton.org/267641002/#ps261981002
review267641002 updated at https://codereview.tryton.org/267641002/#ps271831002
msg50674 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-07-16.16:59:56
Ready for testing.
review267641002 updated at https://codereview.tryton.org/267641002/#ps263881002
review267641002 updated at https://codereview.tryton.org/267641002/#ps279721002
msg50668 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-07-15.18:04:51
Here is review267641002 which contains for now the sale_amendment module for comment. The purchase_amendment module should be very similar to this one.
New review267641002 at https://codereview.tryton.org/267641002/#ps281871002
msg50666 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-07-15.17:53:45
Following https://discuss.tryton.org/t/amendment-for-sale-and-purchase/187
History
Date User Action Args
2019-09-29 19:56:46roundup-botsetmessages: + msg52177
2019-09-29 19:56:45roundup-botsetmessages: + msg52176
2019-09-29 18:32:27roundup-botsetmessages: + msg52175
2019-09-29 18:32:26roundup-botsetmessages: + msg52174
2019-09-29 18:32:23roundup-botsetmessages: + msg52173
2019-09-29 18:32:20roundup-botsetmessages: + msg52172
2019-09-29 18:32:17roundup-botsetmessages: + msg52171
2019-09-29 18:32:12roundup-botsetmessages: + msg52170
2019-09-29 18:32:07roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg52169
2019-09-05 00:33:51reviewbotsetmessages: + msg51661

Showing 10 items. Show all history (warning: this could be VERY long)